(**************************************************************************)
(*                                                                        *)
(*  FORK                                                                  *)
(*                                                                        *)
(*  Author:  Franois Pottier, INRIA Paris-Rocquencourt                   *)
(*  Version: 20101109                                                     *)
(*                                                                        *)
(*  The copyright to this code is held by Institut National de Recherche  *)
(*  en Informatique et en Automatique (INRIA). All rights reserved. This  *)
(*  file is distributed under the license CeCILL-C (see file LICENSE).    *)
(*                                                                        *)
(**************************************************************************)

open Atom
open Kinds
open Types

(* A statement is a universally quantified equation between types. *)

type statement =
  | SEquation of locty * locty
  | SForall of atom * kind * statement

type lemmas =
    statement list

(* Kind checking. *)

val check: env -> lemmas -> unit

(* TEMPORARY *)

val play: RawTypes.signature -> Export.env -> lemmas -> unit

